function getScrollBarDimensions(){
    var elm = document.documentElement.offsetHeight ? document.documentElement : document.body,

        curX = elm.clientWidth,
        curY = elm.clientHeight,

        hasScrollX = elm.scrollWidth > curX,
        hasScrollY = elm.scrollHeight > curY,

        prev = elm.style.overflow,

        r = {
            vertical: 0,
            horizontal: 0
        };


    if( !hasScrollY && !hasScrollX ) {
        return r;
    }

    elm.style.overflow = "hidden";

    if( hasScrollY ) {
        r.vertical = elm.clientWidth - curX;
    }

    if( hasScrollX ) {
        r.horizontal = elm.clientHeight - curY;
    }
    elm.style.overflow = prev;


    return r;
}
jQuery(document).ready(function($){
    "use strict";
    // set preview screen sizes

    var psw = $(window).width();
    var psh = $(window).height();
    $('header').css('min-height',psh).width(psw);
    $('header > .container').css('min-height',psh).width(psw);
    $(window).bind('orientationchange throttledresize',function(){
        var psw = $(window).width();
        var psh = $(window).height();
        $('header').css('min-height',psh).width(psw);
        $('header > .container').css('min-height',psh).width(psw);
    });

    //a tooltip
    $('.social a').tooltip();
    $('.follow a').tooltip();
    $('.post_nav .nav-links span').tooltip();

    //lazy loading
    $('.ll').lazyload({
            effect : "fadeIn"
    });
    $('.lp').lazyload({
        effect : "fadeIn",
        event: 'getit'
    });
    $(window).bind("load", function() {
        var timeout = setTimeout(function() {$("img.lp").trigger("getit")}, 1000);
    });

    //sticky header
    $('.stickybox, #pages, #mob-header').affix({
        offset: {
            top: function() {
                return $(window).height()-1;
            }
        }
    });

    $('.menutrigger').click(function(){
        if($(this).hasClass('open')){
            $(this).removeClass('open');
            $(this).next().slideUp('normal');
        }
        else {
            $(this).next().slideDown('normal');
            $(this).addClass('open');
        }
    });

    // gmap
    var geocoder = new google.maps.Geocoder(),
        gmap_address = $('#address_gmap').val()
    ;
    geocoder.geocode({'address': gmap_address}, function (results, status) {
        if (status === google.maps.GeocoderStatus.OK) {
            var latitude = results[0].geometry.location.lat();
            var longitude = results[0].geometry.location.lng();

            $('#gmap').gmap().bind('init', function () {
                $('#gmap').gmap('addMarker', {'position': latitude + ',' + longitude, 'bounds': true}).click(function () {
                    $('#gmap').gmap('openInfoWindow', {'content': gmap_address}, this);
                });
                $('#gmap').gmap('option', 'zoom', 15);
            });
        }
    });


    // form
    function validateEmail(email) {
        var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }
    $('#cfmailer').submit(function() {
        var a = $(this).find('input[name="name"]').val();
        var b = $(this).find('input[name="email"]').val();
        var c = $(this).find('textarea[name="msg"]').val();
        if (a == "") {
            alert("Type your name please!");
            return false;
        }
        if (validateEmail(b)) {
        } else {
            alert("Type your email correctly please!");
            return false;
        }
        if (c == "") {
            alert("Type your message please!");
            return false;
        }
        else {
            $.ajax({
                type: $(this).attr('method'),
                url: $(this).attr('action'),
                data: $(this).serialize(),
                success: function (data) {
                    alert(data);
                }
            });

            return false;
        }
    });

    // Shortcodes
    function fwidgets_h() {
        var h = 0;
        jQuery('.fwidgets .widget').each(function () {
            var hh = jQuery(this).height();
            if (hh > h) {
                h = hh;
            }
        });
        jQuery('.fwidgets .widget').each(function () {
            jQuery(this).height(h);
        });

    }
    $(window).load(function () {
        fwidgets_h();

        $('.progress-bar').each(function () {
            var percentage = $(this).find('.progress-bar-content').data('percentage');
            $(this).find('.progress-bar-content').css('width', '0%');
            $(this).find('.progress-bar-content').animate({
                width: percentage + '%'
            }, 'slow');
        });

        $('#progress-bars').waypoint(function () {
            $('.progress-bar').each(function () {
                var percentage = $(this).find('.progress-bar-content').data('percentage');
                $(this).find('.progress-bar-content').css('width', '0%');
                $(this).find('.progress-bar-content').animate({
                    width: percentage + '%'
                }, 'slow');
            });
        }, {
            triggerOnce: true,
            offset: '100%'
        });
    });
    // Tabs
    //When page loads...
    $('.tabs-wrapper').each(function () {
        $(this).find(".tab_content").hide(); //Hide all content
        $(this).find("ul.tabs li:first").addClass("active").show(); //Activate first tab
        $(this).find(".tab_content:first").show(); //Show first tab content
    });
    //On Click Event
    $("ul.tabs li").live('click', function (e) {
        $(this).parents('.tabs-wrapper').find("ul.tabs li").removeClass("active"); //Remove any "active" class
        $(this).addClass("active"); //Add "active" class to selected tab
        $(this).parents('.tabs-wrapper').find(".tab_content").hide(); //Hide all tab content
        var activeTab = $(this).find("a").attr("href"); //Find the href attribute value to identify the active tab + content
        $(this).parents('.tabs-wrapper').find(activeTab).fadeIn(); //Fade in the active ID content
        e.preventDefault();
    });
    $("ul.tabs li a").live('click', function (e) {
        e.preventDefault();
    });
    $("h3.toggle").live('click', function () {
        if ($(this).parents('.accordian').length >= 1) {
            var accordian = $(this).parents('.accordian');
            if ($(this).hasClass('active')) {
                $(accordian).find('h3.toggle').removeClass('active');
                $(accordian).find(".toggle-content").slideUp();
            } else {
                $(accordian).find('h3.toggle').removeClass('active');
                $(accordian).find(".toggle-content").slideUp();
                $(this).addClass('active');
                $(this).next(".toggle-content").slideToggle();
            }
        } else {
            if ($(this).hasClass('active')) {
                $(this).removeClass("active");
            } else {
                $(this).addClass("active");
            }
        }
        return false;
    });
    $('.toggle-alert').live('click', function (e) {
        e.preventDefault();
        $(this).parent().slideUp();
    });
    $('.content-boxes').each(function () {
        var cols = $(this).find('.col').length;
        $(this).addClass('columns-' + cols);
    });

    
    
    var contact_inputs = $('#contact_us .row-fluid input[type!=submit], #contact_us .row-fluid textarea');
    contact_inputs.each(function() {
    	if(!$(this).hasClass('^span')){
    		$(this).addClass('span12');
        }
    });
});